Page MenuHomeFreeBSD

lang/rust: Update to 1.50.0
ClosedPublic

Authored by mikael on Feb 12 2021, 3:22 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 12, 3:32 AM
Unknown Object (File)
Sun, Jul 7, 2:12 PM
Unknown Object (File)
Fri, Jun 28, 4:56 AM
Unknown Object (File)
Thu, Jun 27, 3:45 PM
Unknown Object (File)
Thu, Jun 27, 2:56 PM
Unknown Object (File)
Sat, Jun 22, 2:12 PM
Unknown Object (File)
Fri, Jun 21, 10:42 PM
Unknown Object (File)
Fri, Jun 21, 5:50 AM
Subscribers

Details

Summary

Use bundled libgit/libssh, the versions in ports are too old
Update lang/rust-nightly to 2021-02-12
Update devel/racer to 2.1.41
Import upstream patch to fix build issue for Firefox and related ports (https://bugzilla.mozilla.org/show_bug.cgi?id=1684261)

XXX:
merge https://reviews.freebsd.org/D28520 or wait a little more for someone to comment / review it.
bump dependents ports before committing.
bump lang/rust-bootstrap

Test Plan
archlang/rustconsumers
11.4 i386okok
11.4 amd64okok
12.2 i386okok
12.2 amd64okok
14 i386okok
14 amd64okok
powerpc64leokok
powerpc64 elfv2okok
powerpc64 elfv1okok
14 armv7ok
14 aarch64ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

gecko, jbeich : Mk/bsd.gecko.mk still mentions rust 1.43.0, should I bump this along rust update or do you prefer to do it?

Mk/bsd.gecko.mk still mentions rust 1.43.0, should I bump this along rust update or do you prefer to do it?

Bump as I often forget, anyway. USE_GECKO depends on devel/rust-cbindgen where USES=cargo already requires a more recent version.

pkubaj edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Feb 14 2021, 3:46 PM
Closed by commit rP565245: lang/rust: Update to 1.50.0 (authored by mikael). · Explain Why
This revision was automatically updated to reflect the committed changes.